# Create a SharedPaymentIssuedToken

Creates a new SharedPaymentIssuedToken object

## Returns

Returns the newly created SharedPaymentIssuedToken

## Parameters

- `payment_method` (string, required)
  The PaymentMethod that is going to be shared by the SharedPaymentIssuedToken.

- `seller_details` (object, required)
  Seller details of the SharedPaymentIssuedToken, including network_id and external_id.

  - `seller_details.external_id` (string, optional)
    A unique id within a network that identifies a logical seller, usually this would be the unique merchant id.

  - `seller_details.network_business_profile` (string, optional)
    A string that identifies the network that this SharedToken is being created for.

- `usage_limits` (object, required)
  Limits on how this SharedPaymentToken can be used.

  - `usage_limits.currency` (enum, required)
    Three-letter [ISO currency code](https://www.iso.org/iso-4217-currency-codes.html), in lowercase. Must be a [supported currency](https://stripe.com/docs/currencies).

  - `usage_limits.max_amount` (integer, required)
    Max amount that can be captured using this SharedPaymentToken

  - `usage_limits.expires_at` (timestamp, optional)
    Time at which this SharedPaymentToken expires and can no longer be used to confirm a PaymentIntent.

- `setup_future_usage` (enum, optional)
  Indicates that you intend to save the PaymentMethod of this SharedPaymentToken to a customer later.
Possible enum values:
  - `on_session`
    Use `on_session` to reuse the payment method when your customer is present in the checkout flow.

- `shared_metadata` (object, optional)
  Set of [key-value pairs](https://docs.stripe.com/docs/api/metadata.md) that you can attach to the SharedPaymentIssuedToken. The values here are visible by default with the party that you share this SharedPaymentIssuedToken with.

```curl
curl https://api.stripe.com/v1/shared_payment/issued_tokens \
  -u "<<YOUR_SECRET_KEY>>" \
  -d payment_method={{PAYMENT_METHOD_ID}} \
  -d "seller_details[external_id]={{EXTERNAL_ID}}" \
  -d "seller_details[network_business_profile]={{NETWORK_BUSINESS_PROFILE}}" \
  -d "usage_limits[currency]=usd" \
  -d "usage_limits[expires_at]=1751587220" \
  -d "usage_limits[max_amount]=1000"
```

### Response

```json
{
  "id": "spt_1RgaZcFPC5QUO6ZCDVZuVA8q",
  "object": "shared_payment.issued_token",
  "livemode": false,
  "created": 1751500820,
  "deactivated_at": null,
  "deactivated_reason": null,
  "payment_method": "pm_1RgaZbFPC5QUO6ZCe2ekOCNX",
  "seller_details": {
    "external_id": "{{EXTERNAL_ID}}",
    "network_business_profile": "{{NETWORK_BUSINESS_PROFILE}}"
  },
  "setup_future_usage": null,
  "shared_metadata": {},
  "status": "active",
  "usage_details": {
    "amount_captured": {
      "value": 0,
      "currency": "usd"
    }
  },
  "usage_limits": {
    "currency": "usd",
    "expires_at": 1751587220,
    "max_amount": 1000
  }
}
```
